'use strict';

const index = require('./index-6bdbeffd.js');

/*
 Stencil Client Patch Browser v2.1.1 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('s-tooltip.cjs.js', document.baseURI).href));
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["s-tooltip.cjs",[[1,"s-tooltip",{"margin":[514],"orientation":[513],"followMouse":[516,"follow-mouse"],"noDefaultStyle":[516,"no-default-style"],"noArrow":[516,"no-arrow"],"attachTo":[513,"attach-to"],"showDelay":[514,"show-delay"],"hideDelay":[514,"hide-delay"],"color":[513],"backgroundColor":[513,"background-color"],"maxWidth":[513,"max-width"],"maxHeight":[513,"max-height"],"borderWidth":[513,"border-width"],"borderColor":[513,"border-color"],"opacity":[514],"zIndex":[514,"z-index"],"shadow":[513],"borderRadius":[513,"border-radius"],"arrowSize":[513,"arrow-size"],"tooltipText":[32]}]]]], options);
});
